commit:     fe53717a593e6dc0d69ebb3b70254588f7e0046b
Author:     Louis Sautier <sautier.louis <AT> gmail <DOT> com>
AuthorDate: Sun May 20 19:56:32 2018 +0000
Commit:     Patrice Clement <monsieurp <AT> gentoo <DOT> org>
CommitDate: Sun May 20 21:18:28 2018 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=fe53717a

www-misc/urlwatch: bump to 2.11, py3.6, fix deps, update HOMEPAGE.

The packages which were required for HTML parsing are now
optional. dev-python/appdirs is required since version 2.7.
Tests no longer have to be restricted.

Package-Manager: Portage-2.3.31, Repoman-2.3.9
Closes: https://github.com/gentoo/gentoo/pull/8499

 www-misc/urlwatch/Manifest             |  1 +
 www-misc/urlwatch/urlwatch-2.11.ebuild | 55 ++++++++++++++++++++++++++++++++++
 2 files changed, 56 insertions(+)

diff --git a/www-misc/urlwatch/Manifest b/www-misc/urlwatch/Manifest
index b4c5f67e027..fb9bf5be3d6 100644
--- a/www-misc/urlwatch/Manifest
+++ b/www-misc/urlwatch/Manifest
@@ -1,3 +1,4 @@
+DIST urlwatch-2.11.tar.gz 36092 BLAKE2B 
fc8b99d9edb9dc7f860b66e1bb72ccae9cf6aeb27ea2401009b26dca26c3c1fbcd8fedc5ae66ebeb8fcf50cd317c4ea3c1de6e667af158578d8bb2bb9373a021
 SHA512 
fc7a9cce7de946ddce6a83cdab7f785399806704ab440d29436d8ceff14cb4dab6e85a0284eaba1b71e5d27a88f5434d4d8d447a6d0de7bfd025d090c6f12cec
 DIST urlwatch-2.5.tar.gz 25322 BLAKE2B 
637fa254fe565d9a3909fc80879a7b40a72a92e01cdca3a2e95f905c768238e4a2ef7559e32ae4295357d3391109f08149e721564e4c14b6c8be281a416cc45a
 SHA512 
993d2596288d014a3b84ae22c29ce89282c4320dd95b339c9892db07997059fc80a96198cb89ba04d935f68d2d051da96dc981f8e8b3657492443b060d2126a1
 DIST urlwatch-2.6.tar.gz 30412 BLAKE2B 
3d9495a418f8180a788db27bec13f9c20d92476851404d0f78dc6fec664a90c4bf9749cbe26323741a31175abf5b6ca01c066da8a8db6e63da73b46bb524e293
 SHA512 
52d71984972c6888ade01fcc635d33a60c024424b82ac9319554f548438f8a4e2f32a8b7d3047ed86654c8ef67e3b6eac99728f9409b60cdffe7e842fd8fe16c
 DIST urlwatch-2.9.tar.gz 33891 BLAKE2B 
00a0b64574f24b2fe68d9137c38dc9a76083e5e8c5717e47b56e2961694831ef0123f607e95bcc1a89cf6af1eaa812d305f53f5ac597affa6345f4bed3961c10
 SHA512 
d9d5786f524bb4ecac6c8c2368f39dcd6b38b69bcfd03c1c43c38305144481656a03e740568e5094720e89db26cabd7b301eae4e6ce10c41a7d2faa4dae96ea8

diff --git a/www-misc/urlwatch/urlwatch-2.11.ebuild 
b/www-misc/urlwatch/urlwatch-2.11.ebuild
new file mode 100644
index 00000000000..88437f6feb0
--- /dev/null
+++ b/www-misc/urlwatch/urlwatch-2.11.ebuild
@@ -0,0 +1,55 @@
+# Copyright 1999-2018 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+PYTHON_COMPAT=( python{3_4,3_5,3_6} )
+
+inherit distutils-r1
+
+DESCRIPTION="A tool for monitoring webpages for updates"
+HOMEPAGE="https://thp.io/2008/urlwatch/";
+SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE="test"
+
+RDEPEND="
+       dev-python/appdirs[${PYTHON_USEDEP}]
+       dev-python/keyring[${PYTHON_USEDEP}]
+       dev-python/minidb[${PYTHON_USEDEP}]
+       dev-python/pyyaml[${PYTHON_USEDEP}]
+       dev-python/requests[${PYTHON_USEDEP}]
+"
+DEPEND="
+       dev-python/setuptools[${PYTHON_USEDEP}]
+       test? (
+               ${RDEPEND}
+               dev-python/nose[${PYTHON_USEDEP}]
+               dev-python/pycodestyle[${PYTHON_USEDEP}]
+       )
+"
+
+python_test() {
+       nosetests test || die "tests failed with ${EPYTHON}"
+}
+
+pkg_postinst() {
+       if [[ -z "${REPLACING_VERSIONS}" ]]; then
+               if ! has_version dev-python/chump; then
+                       elog "Install 'dev-python/chump' to enable Pushover" \
+                               "notifications support"
+               fi
+               if ! has_version dev-python/pushbullet-py; then
+                       elog "Install 'dev-python/pushbullet-py' to enable" \
+                               "Pushbullet notifications support"
+               fi
+               elog "HTML parsing can be improved by installing one of the 
following packages"
+               elog "and changing the html2text subfilter parameter:"
+               elog "dev-python/beautifulsoup:4"
+               elog "app-text/html2text"
+               elog "dev-python/html2text"
+               elog "www-client/lynx"
+       fi
+}

Reply via email to